#region Copyright Syncfusion Inc. 2001 - 2005
//
//  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Windows.Forms;
using Syncfusion.Diagnostics;
using Syncfusion.Windows.Forms.Grid;

namespace Workbook
{
	
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		//private Syncfusion.Windows.Forms.TabBarSplitterControl tabBarSplitterControl1;
		private MyTabBarSplitterControl tabBarSplitterControl1;
		private Syncfusion.Windows.Forms.TabBarPage tabBarPage1;
		internal Syncfusion.Windows.Forms.Grid.GridControl gridControl1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
			this.tabBarPage1.DoubleClick += new EventHandler(tabBarPage1_DoubleClick);
			this.tabBarPage1.MouseLeave += new EventHandler(tabBarPage1_MouseLeave);
			
			
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.tabBarSplitterControl1 = new MyTabBarSplitterControl();
			this.tabBarPage1 = new TabBarPage();
			this.gridControl1 = new Syncfusion.Windows.Forms.Grid.GridControl();
			this.tabBarSplitterControl1.SuspendLayout();
			this.tabBarPage1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.gridControl1)).BeginInit();
			this.SuspendLayout();
			// 
			// tabBarSplitterControl1
			// 
			this.tabBarSplitterControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.tabBarSplitterControl1.Controls.Add(this.tabBarPage1);
			this.tabBarSplitterControl1.EnabledColor = System.Drawing.SystemColors.WindowText;
			this.tabBarSplitterControl1.Location = new System.Drawing.Point(16, 16);
			this.tabBarSplitterControl1.Name = "tabBarSplitterControl1";
			this.tabBarSplitterControl1.RelativeWidth = 45;
			this.tabBarSplitterControl1.RepeatClickDelay = 80;
			this.tabBarSplitterControl1.Size = new System.Drawing.Size(512, 400);
			this.tabBarSplitterControl1.SplitBars = Syncfusion.Windows.Forms.DynamicSplitBars.Both;
			this.tabBarSplitterControl1.TabIndex = 0;
			this.tabBarSplitterControl1.Text = "tabBarSplitterControl1";
			this.tabBarSplitterControl1.ThemesEnabled = true;
			// 
			// tabBarPage1
			// 
			this.tabBarPage1.Controls.Add(this.gridControl1);
			this.tabBarPage1.Location = new System.Drawing.Point(0, 0);
			this.tabBarPage1.Name = "tabBarPage1";
			this.tabBarPage1.SplitBars = Syncfusion.Windows.Forms.DynamicSplitBars.Both;
			this.tabBarPage1.Text = "tabBarPage1";
			this.tabBarPage1.ThemesEnabled = true;
			// 
			// gridControl1
			// 
			this.gridControl1.FillSplitterPane = true;
			this.gridControl1.HorizontalThumbTrack = true;
			this.gridControl1.Location = new System.Drawing.Point(0, 0);
			this.gridControl1.Name = "gridControl1";
			this.gridControl1.RowCount = 20;
			this.gridControl1.SmartSizeBox = false;
			this.gridControl1.Text = "gridControl1";
			this.gridControl1.ThemesEnabled = true;
			this.gridControl1.VerticalThumbTrack = true;
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(560, 430);
			this.Controls.Add(this.tabBarSplitterControl1);
			this.Name = "Form1";
			this.Text = "Form1";
			this.tabBarSplitterControl1.ResumeLayout(false);
			this.tabBarPage1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.gridControl1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		public static void Main() 
		{
			Application.Run(new Form1());
		}

		

		int SpliterInfo = 0;
		private void tabBarPage1_DoubleClick(object sender, EventArgs e)
		{
			
			if(this.tabBarSplitterControl1.hSplitter != null && this.tabBarSplitterControl1.hSplitter.Pushed)
			{
				this.tabBarPage1.SplitBars = DynamicSplitBars.SplitRows;	
				SpliterInfo = 1;
				
			}
			else 
				if(this.tabBarSplitterControl1.vSplitter != null && this.tabBarSplitterControl1.vSplitter.Pushed)
			{
				this.tabBarPage1.SplitBars = DynamicSplitBars.SplitColumns;
				SpliterInfo = 2;	
			}			

			
		}

		
	

		private void tabBarPage1_MouseLeave(object sender, EventArgs e)
		{
			if(SpliterInfo > 0)
			{
				Syncfusion.Windows.Forms.SplitterLayout spliterLayout = new  Syncfusion.Windows.Forms.SplitterLayout();

				if(SpliterInfo == 1)
				{
					spliterLayout.HSplitPos = 100;
					spliterLayout.VSplitPos = this.tabBarPage1.SplitterLayout.VSplitPos;
				}
				else if(SpliterInfo == 2)
				{
					spliterLayout.VSplitPos = 100;
					spliterLayout.HSplitPos = this.tabBarPage1.SplitterLayout.HSplitPos;
				}
				
				this.tabBarPage1.SplitterLayout = spliterLayout;	
				this.tabBarPage1.SplitBars = DynamicSplitBars.Both;
				SpliterInfo =0;
			}

		}

		

	}
	#region MyTabBarSplitterControl

	class MyTabBarSplitterControl : TabBarSplitterControl 
	{
		public MyTabBarSplitterControl():base()
		{
			
		}
		
		public InternalSplitter hSplitter = null,vSplitter = null;

		public override void OnMoveSplitter(object sender, int x, int y)
		{

			InternalSplitter splitter = sender as InternalSplitter;
			if(splitter.Kind == InternalSplitterKind.HorizontalBar)
				hSplitter = splitter;


			if(splitter.Kind == InternalSplitterKind.VerticalBar)
				vSplitter = splitter;
			
			


			base.OnMoveSplitter (sender, x, y);
		}


		


	}
	
	#endregion


}
